%global srcname yamlordereddictloader
%global sum YAML loader for PyYAML that maintains key order

Name:		python-%{srcname}
Version:	0.3.0
Release:	5%{?dist}
Summary:	%{sum}

License:	MIT
URL:		https://github.com/fmenabe/python-yamlordereddictloader
Source0:	https://files.pythonhosted.org/packages/source/y/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:	python2-devel
BuildRequires:	python3-devel
BuildRequires:	PyYAML
BuildRequires:	python3-PyYAML

BuildArch: noarch

%description
This is a loader for PyYAML that maintains the order of the keys
and values in a dictionary as they appear in the input file. This
can be useful for certain applications where named values should
also be maintained in a particular order

%package -n python2-%{srcname}
Summary:	%{sum}
Requires:	PyYAML
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This is a loader for PyYAML that maintains the order of the keys
and values in a dictionary as they appear in the input file. This
can be useful for certain applications where named values should
also be maintained in a particular order

%package -n python3-%{srcname}
Summary:	%{sum}
Requires:	python3-PyYAML
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This is a loader for PyYAML that maintains the order of the keys
and values in a dictionary as they appear in the input file. This
can be useful for certain applications where named values should
also be maintained in a particular order

%prep
%setup -q -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files -n python2-%{srcname}
%doc README.rst
%license LICENSE.txt
%{python2_sitelib}/%{srcname}.py*
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{srcname}.py*
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/__pycache__/%{srcname}.cpython*pyc


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 29 2017 Greg Hellings <greg.hellings@gmail.com> - 0.3.0-1
- New upstream version 0.3.0

* Thu Apr 20 2017 Greg Hellings <greg.hellings@gmail.com> - 0.2.2-2
- Removed outdated comments in spec file

* Thu Apr 20 2017 Greg Hellings <greg.hellings@gmail.com> - 0.2.2-1
- Upstream version 0.2.2
- Added new LICENSE from upstream to files

* Wed Apr 19 2017 Greg Hellings <greg.hellings@gmail.com> - 0.2.0-1
- Upstream version 0.2.0
- Added README.rst
- Added PyYAML/python3-PyYAML as requires

* Mon Apr 03 2017 Greg Hellings <greg.hellings@gmail.com> - 0.1.1-1
- Upstream version 0.1.1
